LIBKECCAK_HMAC_RESET(3)

NAME
libkeccak_hmac_reset - Reinitialise a HMAC-hashing state

SYNOPSIS
#include <libkeccak.h>
int libkeccak_hmac_reset(struct libkeccak_hmac_state *state, const void *key, size_t key_length);

Link with -lkeccak.

DESCRIPTION
The libkeccak_hmac_reset() function reinitialises an HMAC-hashing state with a new key. key_length is the length of the key in bits. If key is NULL, the key remains unchanged.

RETURN VALUES
The libkeccak_hmac_reset() function returns 0 successful completion. On error -1 is returned and errno is set to describe the error.

ERRORS
The libkeccak_hmac_reset() function may fail for any specified for the functions malloc(3) and realloc(3).

SEE ALSO
libkeccak_hmac_create(3), libkeccak_hmac_initialise(3), libkeccak_hmac_set_key(3), libkeccak_hmac_wipe(3), libkeccak_hmac_fast_free(3), libkeccak_hmac_free(3), libkeccak_hmac_fast_destroy(3), libkeccak_hmac_destroy(3)